Re: [gentoo-dev] [PATCH] gnuconfig.eclass: fix eend w/o ebegin

2022-04-16 Thread Mike Gilbert
On Sat, Apr 16, 2022 at 2:28 AM Sam James  wrote:
>
> eend should be preceded by an begin call.

Looks ok.



[gentoo-dev] [PATCH] gnuconfig.eclass: fix eend w/o ebegin

2022-04-16 Thread Sam James
eend should be preceded by an begin call.

Signed-off-by: Sam James 
---
 eclass/gnuconfig.eclass | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/eclass/gnuconfig.eclass b/eclass/gnuconfig.eclass
index 58bdcfd660a6b..0791798632cdb 100644
--- a/eclass/gnuconfig.eclass
+++ b/eclass/gnuconfig.eclass
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 # @ECLASS: gnuconfig.eclass
@@ -84,9 +84,9 @@ gnuconfig_do_update() {
if [[ -n ${targetlist} ]] ; then
for target in ${targetlist} ; do
[[ -L ${target} ]] && rm -f "${target}"
-   einfo "  Updating ${target/$startdir\//}"
+   ebegin "  Updating ${target/$startdir\//}"
cp -f "${configsubs_dir}/${file}" "${target}"
-   eend $?
+   eend $? || die
done
else
ewarn "  No ${file} found in ${startdir}, skipping ..."
-- 
2.35.1